
Redmine - Feature #2694

Notification on loosing assignment

2009-02-07 17:00 - Teddy L

Status: Closed Start date: 2009-02-07

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

When the user assigned to an issue change, old assigned user should receive a notification to be aware of this update too.

New method in journals.rb

    def old_value_for(prop)

        c = details.detect {|detail| detail.prop_key == prop}

        c ? c.old_value : nil

    end

 Updated method in issue.rb

  def recipients

    recipients = project.recipients

    # Author and assignee are always notified unless they have been locked

    recipients << author.mail if author && author.active?

    recipients << assigned_to.mail if assigned_to && assigned_to.active?

    old_assigned_to_id = @current_journal.old_value_for('assigned_to_id') if @current_journal

    old_assigned_to = User.find_by_id(old_assigned_to_id) if old_assigned_to_id

    recipients << old_assigned_to.mail if old_assigned_to && old_assigned_to.active?

    recipients.compact.uniq

  end

Related issues:

Related to Redmine - Defect #19197: Missing notification if assignee was a group Closed

Has duplicate Redmine - Defect #9551: Changing assignee should be notify the ... Closed 2011-11-11

Associated revisions

Revision 8695 - 2012-01-23 18:55 - Jean-Philippe Lang

Notify previous assignee when assignee changes (#2694).

History

#1 - 2009-02-13 10:24 - Markus Knittig

+1

#2 - 2012-01-23 18:55 - Jean-Philippe Lang

- Subject changed from Notification on loosing assignement to Notification on loosing assignment

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

Implemented in r8695.
#3 - 2015-03-07 06:49 - Go MAEDA

- Related to Defect #19197: Missing notification if assignee was a group added

#4 - 2018-07-04 14:09 - Harm Ant

The issue was fixed in 2.x.

But after upgrading to Redmine 3.4.2.stable notifications to old assignee is absent!
